Bug Hunting Session
Bug 90889 - Content of a choosen listbox in a tablecontrol isn't shown
Summary: Content of a choosen listbox in a tablecontrol isn't shown
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: high major
Assignee: Lionel Elie Mamane
URL:
Whiteboard: target:5.1.0 target:5.0.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-04-27 10:15 UTC by Robert Großkopf
Modified: 2017-06-06 07:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example-database: Open the form and have a look at tablecontrol ... (20.54 KB, application/vnd.oasis.opendocument.database)
2015-04-27 10:15 UTC, Robert Großkopf
Details
Shows some screenshots to describe the buggy behavior (36.17 KB, application/pdf)
2015-04-27 10:16 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2015-04-27 10:15:16 UTC
Created attachment 115132 [details]
Example-database: Open the form and have a look at tablecontrol ...

This buggy behavior appears with 
Version: 5.0.0.0.alpha1+
Build ID: fc0d494b8936ab11abca761810de8a03f579edf5
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-20_05:29:00
Locale: de_DE
on OpenSUSE 13.2

I couldn't choose the version above ...

Open the attached database.
Open the form.
First row in the tablecontrol doesn't show any content in the listbox.
Click with the mouse on second row.
Now first row shows content, but second doesen't show.
Change the content of third row.
Goto next (new) row.
The listbox of the new row shows the content of the changed row. You haven't choosen any content for new row. You could also see this in the navigationbar: Nothing to save there ...
Comment 1 Robert Großkopf 2015-04-27 10:16:04 UTC
Created attachment 115133 [details]
Shows some screenshots to describe the buggy behavior
Comment 2 Alex Thurgood 2015-04-27 15:42:04 UTC
Confirming on

Version: 5.0.0.0.alpha1+
Build ID: 950055bcb06c8edcd9062c71184f02bf8e0604e6
Locale : fr_

OSX 10.10.3
Comment 3 Alex Thurgood 2015-04-27 16:15:33 UTC
The behaviour appears normal in 

Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale : fr_

==> regression
Comment 4 Alex Thurgood 2015-04-27 16:17:40 UTC
(In reply to Alex Thurgood from comment #3)
> The behaviour appears normal in 
> 
> Version: 4.4.2.2
> Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
> Locale : fr_
> 
> ==> regression

What I mean is that the dropdown menus are filled correctly, i.e. not blank, and moving to the new record doesn't automatically select the value from the previous record.
Comment 5 Lionel Elie Mamane 2015-07-25 07:13:48 UTC
There are possibly two different bugs here:

1) current record shows nothing selected

2) new (insertion) row shows value of last previously active row.

Maybe they both have the same cause.

I fixed "1)" without realising it was filed in bugzilla.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c2f0c1001b0586b3092e80d63866ae018f09eb8
https://gerrit.libreoffice.org/17298
https://gerrit.libreoffice.org/17300

Please retest "2)" on master (5.1.0.0.alpha) of 23 July or later, or on 5.0.1.0.alpha of 24 July or later. If it still appears, then open a new bug and CC me.
Comment 6 Commit Notification 2015-07-31 00:25:33 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df9dce5ee3036cea2dd4dd4ec055c8836454d84e&h=libreoffice-5-0-0

tdf#90889 ListBox in grid: properly set selection on change from model

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robert Großkopf 2017-06-06 07:00:25 UTC
Seems this bug has come back again for LO 5.4.0.0beta1. Same behavior here with OpenSUSE 42.1 64bit rpm Linux.

Should I write a new bug or should I reopen this one?